Bug 999801 - [RHEVM] cannot add 3.0 host to 3.3 rhevm because of missing 'vdsm-tool'
[RHEVM] cannot add 3.0 host to 3.3 rhevm because of missing 'vdsm-tool'
Status: CLOSED CURRENTRELEASE
Product: ovirt-host-deploy
Classification: oVirt
Component: Plugins.VDSM (Show other bugs)
master
x86_64 Linux
unspecified Severity high (vote)
: ---
: 1.1.0
Assigned To: Alon Bar-Lev
Tareq Alayan
infra
:
Depends On:
Blocks: 987496 1019461
  Show dependency treegraph
 
Reported: 2013-08-22 03:31 EDT by Martin Pavlik
Modified: 2016-02-10 14:40 EST (History)
11 users (show)

See Also:
Fixed In Version: is12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bazulay: devel_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18384 None None None Never

  None (edit)
Description Martin Pavlik 2013-08-22 03:31:04 EDT
Description of problem:

I was trying to add host with 3.0 vdsm (vdsm-4.9-113.4.el6_3.x86_64) to
3.0 cluster in RHEVM 3.3 (is10). I ended up with following error in UI
Failed to install Host dell-06. Failed to execute stage 'Closing up':
Command 'vdsm-tool' is required but missing.


Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.3.0-0.15.master.el6ev 

How reproducible:
100%

Steps to Reproduce:
see descritpion

Actual results:
cannot add 3.0 host to 3.3 rhevm with 3.0 cluster

Expected results:
host is added

Additional info:

This is in deploy log

2013-08-21 13:53:15 DEBUG otopi.context context._executeMethod:132
method exception
Traceback (most recent call last):
   File "/tmp/ovirt-gajRK4xaY1/pythonlib/otopi/context.py", line 122, in
_executeMethod
     method['method']()
   File
"/tmp/ovirt-gajRK4xaY1/otopi-plugins/ovirt-host-deploy/vdsm/packages.py",
line
137, in _reconfigure
     self.command.get('vdsm-tool'),
   File "/tmp/ovirt-gajRK4xaY1/pythonlib/otopi/command.py", line 86, in get
     command=command
RuntimeError: Command 'vdsm-tool' is required but missing
2013-08-21 13:53:15 ERROR otopi.context context._executeMethod:141
Failed to execute stage 'Closing up': Command 'vdsm-tool' is required
but missing
Comment 1 Alon Bar-Lev 2013-08-22 03:33:46 EDT
vdsm-tool apparently is a new tool.
Comment 2 Michal Skrivanek 2013-08-22 03:46:53 EDT
I don't think we want to support deploying 3.0 in 3.3. Supporting an existing host and migrations back and forth yes, but not a fresh deployment...
Comment 3 Alon Bar-Lev 2013-08-22 04:00:00 EDT
(In reply to Michal Skrivanek from comment #2)
> I don't think we want to support deploying 3.0 in 3.3. Supporting an
> existing host and migrations back and forth yes, but not a fresh
> deployment...

But as long as this is working, why do we need to remove support?
Comment 5 Tareq Alayan 2013-09-03 09:31:41 EDT
is12 -> verified
Comment 6 Itamar Heim 2014-01-21 17:23:48 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:24:54 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:28:28 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.